!define PRODUCT_NAME "EventSelection"
!define PRODUCT_VERSION "0.6"
!define ICON_FILE "tsunami.ico"

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "${PRODUCT_NAME}_${PRODUCT_VERSION}.exe"
InstallDir $PROGRAMFILES\${PRODUCT_NAME}
Page directory
Page instfiles
Icon ${ICON_FILE}

Section "Install"
   SetOutPath $INSTDIR
   File EventSelection.nsi
   File EventSelection.py
   File INSTALL.txt
   File tsunami.ico
   CreateShortcut "$DESKTOP\${PRODUCT_NAME}.lnk" "$INSTDIR\${PRODUCT_NAME}.py" "" "$INSTDIR\${ICON_FILE}"
   CreateDirectory "$SMPROGRAMS\${PRODUCT_NAME}"
   CreateShortCut "$SMPROGRAMS\${PRODUCT_NAME}\Uninstall.lnk" "$INSTDIR\Uninstall.exe" "" "$INSTDIR\Uninstall.exe" 0
   CreateShortCut "$SMPROGRAMS\${PRODUCT_NAME}\${PRODUCT_NAME}.lnk" "$INSTDIR\${PRODUCT_NAME}.py" "" "$INSTDIR\${PRODUCT_NAME}.py" 0
   WriteUninstaller "$INSTDIR\Uninstall.exe"
SectionEnd

UninstallText "This will uninstall ${PRODUCT_NAME} ${PRODUCT_VERSION}."
 
!ifdef ICON_FILE
UninstallIcon "${ICON_FILE}"
!endif
 
Section "Uninstall"
   Delete "$DESKTOP\${PRODUCT_NAME}.lnk"
   RMDir /r "$INSTDIR\*.nsi"    
   RMDir /r "$INSTDIR\*.py"    
   RMDir /r "$INSTDIR\*.ico"    
   RMDir /r "$INSTDIR\*.exe"    
   RMDir /r "$INSTDIR\*.sh"    
;   RMDir "$INSTDIR"
   RMDir /r "$SMPROGRAMS\${PRODUCT_NAME}\*.*"
   RMDir "$SMPROGRAMS\${PRODUCT_NAME}"
SectionEnd